Update a Static Memo
curl --request PUT \
--url https://api.bridge.xyz/v0/customers/{customerID}/static_memos/{staticMemoID} \
--header 'Api-Key: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"destination": {
"currency": "usdc",
"payment_rail": "polygon",
"address": "0xdeadbeef"
},
"developer_fee_percent": "0.1"
}
'import requests
url = "https://api.bridge.xyz/v0/customers/{customerID}/static_memos/{staticMemoID}"
payload = {
"destination": {
"currency": "usdc",
"payment_rail": "polygon",
"address": "0xdeadbeef"
},
"developer_fee_percent": "0.1"
}
headers = {
"Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
destination: {currency: 'usdc', payment_rail: 'polygon', address: '0xdeadbeef'},
developer_fee_percent: '0.1'
})
};
fetch('https://api.bridge.xyz/v0/customers/{customerID}/static_memos/{staticMemoID}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"developer_fee_percent": "0.1",
"source_deposit_instructions": {
"currency": "usd",
"payment_rails": [
"ach_push",
"wire"
],
"deposit_message": "EXAMPLE_MEMO_MESSAGE",
"bank_name": "Lead Bank",
"bank_address": "1801 Main St., Kansas City, MO 64108",
"bank_beneficiary_name": "Bridge Ventures Inc",
"bank_beneficiary_address": "21750 Hardy Oak Blvd, Ste 104 PMB 77950, San Antonio, Texas, 78258-4946",
"bank_account_number": "123456789",
"bank_routing_number": "87654321"
},
"destination": {
"currency": "usdc",
"payment_rail": "polygon",
"address": "0xdeadbeef"
},
"created_at": "2023-11-07T05:31:56Z"
}Static Memos
Update a Static Memo
Update instructions for an existing Static Memo
PUT
/
customers
/
{customerID}
/
static_memos
/
{staticMemoID}
Update a Static Memo
Authorizations
Path Parameters
A UUID that uniquely identifies a resource
Required string length:
1 - 42Pattern:
[a-z0-9]*A UUID that uniquely identifies a resource
Required string length:
1 - 42Pattern:
[a-z0-9]*Body
application/json
The Static Memo details to be updated
Show child attributes
Show child attributes
Example:
{ "currency": "usdc", "payment_rail": "polygon", "address": "0xdeadbeef" }
The developer fee percent that will be applied to this Virtual Account. The value is a base 100 percentage, i.e. 10.2% is 10.2 in the API.
Example:
"0.1"
Response
200 - application/json
Updated Static Memo object
A UUID that uniquely identifies a resource
Required string length:
1 - 42Pattern:
[a-z0-9]*The developer fee percent that will be applied to this Virtual Account. The value is a base 100 percentage, i.e. 10.2% is 10.2 in the API.
Example:
"0.1"
Show child attributes
Show child attributes
Example:
{ "currency": "usd", "payment_rails": ["ach_push", "wire"], "deposit_message": "EXAMPLE_MEMO_MESSAGE", "bank_name": "Lead Bank", "bank_address": "1801 Main St., Kansas City, MO 64108", "bank_beneficiary_name": "Bridge Ventures Inc", "bank_beneficiary_address": "21750 Hardy Oak Blvd, Ste 104 PMB 77950, San Antonio, Texas, 78258-4946", "bank_account_number": "123456789", "bank_routing_number": "87654321" }
Show child attributes
Show child attributes
Example:
{ "currency": "usdc", "payment_rail": "polygon", "address": "0xdeadbeef" }
Time of creation of the static memo
Was this page helpful?
⌘I
